cc.Class({
    extends: cc.Component,

    properties: {
		touching:false,
        bullet: {
            default: null,
            type:cc.Prefab
        },
        curBulletNode: {
            default: null,
            type:cc.Node
        },
    },


    clickGoBtn: function (e, d) {
    	this.touching = false;
        var rigidbody = this.curBulletNode.getComponent(cc.RigidBody);
        rigidbody.gravityScale = 1;
        rigidbody.applyForceToCenter(cc.v2(0,300000000));
    },

    touchDownGoBtn: function (e) {
    	this.touching = true;
        var n =  cc.instantiate(this.bullet);
        var rigidbody = n.getComponent(cc.RigidBody);
        rigidbody.active = false;
        this.node.parent.addChild(n, 1000);
        this.curBulletNode = n;
    },
    onLoad () {
        var manager = cc.director.getPhysicsManager();
        manager.enabled = true;
        manager.gravity = cc.v2(0, -500);
    },

    start () {
    },

    onEnable: function () {
        this.node.on(cc.Node.EventType.TOUCH_START, this.touchDownGoBtn, this);
        this.node.on(cc.Node.EventType.TOUCH_END, this.clickGoBtn, this);
        this.node.on(cc.Node.EventType.TOUCH_CANCEL, this.clickGoBtn, this);
    },

    onDisable: function () {
        this.node.off(cc.Node.EventType.TOUCH_START, this.touchDownGoBtn, this);
        this.node.off(cc.Node.EventType.TOUCH_END, this.clickGoBtn, this);
        this.node.off(cc.Node.EventType.TOUCH_CANCEL, this.clickGoBtn, this);
    },
});
